
import sys
import os
from setuptools import setup, find_packages

# allow setup.py to be run from any path
#os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

root_dir = os.path.dirname(__file__)
sys.path.insert(0, os.path.join(root_dir, 'django-blank-editor'))

version = __import__('blank_editor').get_version()


def read(fname):
    try:
        return open(os.path.join(os.path.dirname(__file__), fname)).read()
    except IOError:
        return ''

setup(
    name='django-blank-editor',
    version=version,
    install_requires=read("REQUIREMENTS"),
    include_package_data=True,
    description='A simple strict document blank editor',
    url='http://www.bars-open.ru/',
    package_dir={'': 'django-blank-editor'},
    packages=find_packages("django-blank-editor"),
    author='Alexander Nemtarev',
    author_email='yourname@example.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
    zip_safe=False,

)
